%define ghc_ver %(ghc --numeric-version)
%define pkg_name lifted-base

Name:          ghc-lifted-base
Version:       0.2.3.6
Release:       2mamba
Summary:       GHC library: lifted IO operations from the base library
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://hackage.haskell.org/package/%{pkg_name}
Source:        http://hackage.haskell.org/package/lifted-base-%{version}/lifted-base-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: ghc-base-orphans-devel
BuildRequires: ghc-libs
BuildRequires: ghc-monad-control-devel
BuildRequires: ghc-transformers-base-devel
BuildRequires: ghc-transformers-compat-devel
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
## AUTOBUILDREQ-END
BuildRequires: ghc >= 9.4.8
Requires:      ghc = %{ghc_ver}

%description
lifted-base exports IO operations from the base library lifted to any instance of MonadBase or MonadBaseControl.

%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif

%prep
%setup -q -n lifted-base-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

rm -f %{buildroot}%{_ghclicensedir}/%{name}/LICENSE

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.files
%defattr(-,root,root)
%license LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root)
#%doc CHANGELOG.markdown README.markdown

%if %{with haddock}
%files doc -f %{name}-doc.files
%defattr(-,root,root)
%license LICENSE
%endif

%changelog
* Sun Dec 03 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.3.6-2mamba
- rebuilt with ghc 9.4.8

* Mon Apr 13 2015 Davide Madrisan <davide.madrisan@gmail.com> 0.2.3.6-1mamba
- package created by autospec
